Subject: Re: [PATCH RFC net-next 1/6] net: dsa: add support for retrieving the interface mode

From: Marek Behún <[email-masked]>
Date: Fri, 1 Jul 2022 21:20:15 +0200

On Wed, 29 Jun 2022 13:51:22 +0100
"Russell King (Oracle)" <[email-masked]> wrote:

> DSA port bindings allow for an optional phy interface mode. When an
> interface mode is not specified, DSA uses the NA interface mode type.
> 
> However, phylink needs to know the parameters of the link, and this
> will become especially important when using phylink for ports that
> are devoid of all properties except the required "reg" property, so
> that phylink can select the maximum supported link settings. Without
> knowing the interface mode, phylink can't truely know the maximum
> link speed.
> 
> Update the prototype for the phylink_get_caps method to allow drivers
> to report this information back to DSA, and update all DSA
> implementations function declarations to cater for this change. No
> code is added to the implementations.
> 
> Signed-off-by: Russell King (Oracle) <[email-masked]>

Reviewed-by: Marek Behún <[email-masked]>